%define name libproxydynlang-devel
%define version 1.2
%define release 4
%define _prefix /usr

# 基本情報
Summary: from c to dynamic language
Summary(ja): c言語から動的言語(perl,ruby,python)を呼び出すダメのライブラリです。
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL2
Group: Development/Libraries
Packager: paradox
BuildArch: i386

# パケージの作成時に必要となる情報
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

# 依存情報

# スクリプト部
%description
proxydynlang is a from c to dynamic language.

%description -l ja
proxydynlangは、c言語から動的言語(perl,ruby,python)を呼び出すダメのライブラリです。

%post
if [ -d %{_includedir}/proxydynlang1.0 ] ; then
    rm -r %{_includedir}/proxydynlang1.0
fi

%prep         # rpmを構築する前の準備です
%{__rm} -rf $RPM_BUILD_ROOT

%setup
#%patch -pl

%build

%install
%{__make} install.devel prefix=${RPM_BUILD_ROOT} includedir=%{_includedir}/proxydynlang mandir=%{_mandir}/ja 

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#ファイルリスト部
%files
%defattr(-, root,root)
%dir %{_includedir}/proxydynlang
%{_includedir}/proxydynlang/IProxyDynLang.h
%{_mandir}/ja/man3/GetProxyDynLang.3.gz
%{_mandir}/ja/man3/IProxyDynLang_init.3.gz
%{_mandir}/ja/man3/IProxyDynLang_funcall.3.gz
%{_mandir}/ja/man3/IProxyDynLang_funcall2.3.gz
%{_mandir}/ja/man3/IProxyDynLang_end.3.gz

# 変更履歴
%changelog
* Wed Aug 03 2016 paradox <siranovel@gmail.com> 1.2-4
- man(IProxyDynLang_funcall,IProxyDynLang_funcall2)を修正

* Sun Jul 31 2016 paradox <siranovel@gmail.com> 1.2-3
- 関数の引数に、long,float,double型を指定できるように修正
- man(IProxyDynLang_funcall,IProxyDynLang_funcall2,IProxyDynLang_end)を修正

* Fri Jul 29 2016 paradox <siranovel@gmail.com> 1.2-2
- 関数の引数に、Integer型を指定できるように修正

* Thu Jul 28 2016 paradox <siranovel@gmail.com> 1.2-1
- 関数の引数に、型を指定できるように修正(STRINGのみ)

* Thu Jul 21 2016 paradox <siranovel@gmail.com> 1.1-3
- man(IProxyDynLang_funcall,IProxyDynLang_funcall2,IProxyDynLang_end)を追加

* Mon Jul 18 2016 paradox <siranovel@gmail.com> 1.1-2
- man(GetProxyDynLang,IProxyDynLang_init)を追加

* Thu Jul 14 2016 paradox <siranovel@gmail.com> 1.1-1
- proxydynlang-devel -> libproxydynlang-devel
- ヘッダーファイルのインストール先 proxydynlang1.0 -> proxydynlang
- クラスに対するメゾットのインターフェース追加

* Tue Jul 12 2016 paradox <siranovel@gmail.com> 1.0-2
- comple error for c++.

* Mon Jul 11 2016 paradox <siranovel@gmail.com> 1.0-1
- first release for version 1.0

